<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="LabaRugi"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Portrait"
		 pageWidth="595"
		 pageHeight="842"
		 columnWidth="483"
		 columnSpacing="0"
		 leftMargin="56"
		 rightMargin="56"
		 topMargin="20"
		 bottomMargin="20"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="nama_koperasi" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Koperasi karyawan Siloam Hospitals Surabaya"]]></defaultValueExpression>
	</parameter>
	<parameter name="alamat" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["Jl. Raya Gubeng 70"]]></defaultValueExpression>
	</parameter>
	<parameter name="telp" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA["031-503 1333"]]></defaultValueExpression>
	</parameter>
	<parameter name="tahun" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA["2009"]]></defaultValueExpression>
	</parameter>
	<parameter name="bulan" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA["09"]]></defaultValueExpression>
	</parameter>
	<parameter name="unit" isForPrompting="false" class="java.lang.String">
		<defaultValueExpression ><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<queryString><![CDATA[select * from fn_acc_rpt_laba_rugi($P{bulan}, $P{tahun}, $P{unit}) as (group_id varchar, type_id varchar, type_name varchar, acc_no varchar, acc_name varchar, 
balance double precision, lbalance double precision)]]></queryString>

	<field name="group_id" class="java.lang.String"/>
	<field name="type_id" class="java.lang.String"/>
	<field name="type_name" class="java.lang.String"/>
	<field name="acc_no" class="java.lang.String"/>
	<field name="acc_name" class="java.lang.String"/>
	<field name="balance" class="java.lang.Double"/>
	<field name="lbalance" class="java.lang.Double"/>

	<variable name="sub_balance" class="java.lang.Double" resetType="Group" resetGroup="type_id" calculation="Sum">
		<variableExpression><![CDATA[$F{balance}]]></variableExpression>
	</variable>
	<variable name="sub_lbalance" class="java.lang.Double" resetType="Group" resetGroup="type_id" calculation="Sum">
		<variableExpression><![CDATA[$F{lbalance}]]></variableExpression>
	</variable>
	<variable name="tot_balance" class="java.lang.Double" resetType="Report" calculation="Sum">
		<variableExpression><![CDATA[($F{group_id}.equalsIgnoreCase("4")? $F{balance}: new java.lang.Double((-1*$F{balance}.doubleValue())))]]></variableExpression>
	</variable>
	<variable name="tot_lbalance" class="java.lang.Double" resetType="Report" calculation="Sum">
		<variableExpression><![CDATA[($F{group_id}.equalsIgnoreCase("4")? $F{lbalance}: new java.lang.Double((-1*$F{lbalance}.doubleValue())))]]></variableExpression>
	</variable>

		<group  name="type_id" >
			<groupExpression><![CDATA[$F{type_id}]]></groupExpression>
			<groupHeader>
			<band height="14"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="42"
						height="14"
						forecolor="#FFFFFF"
						key="textField"/>
					<box>					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="1.0" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="408"
						y="0"
						width="75"
						height="14"
						key="staticText-39"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.5" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0"/>
</box>
					<textElement textAlignment="Left">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="333"
						y="0"
						width="75"
						height="14"
						key="staticText-40"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.5" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement textAlignment="Left">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="42"
						y="0"
						width="291"
						height="14"
						key="textField"/>
					<box leftPadding="2">					<leftPen lineWidth="0.5"/>
</box>
					<textElement>
						<font isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{type_name}.toUpperCase()]]></textFieldExpression>
				</textField>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="13"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						x="42"
						y="0"
						width="291"
						height="13"
						key="staticText-41"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.5" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement textAlignment="Left">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="333"
						y="0"
						width="75"
						height="13"
						key="staticText-43"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.5" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement textAlignment="Left">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="408"
						y="0"
						width="75"
						height="13"
						key="staticText-45"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.5" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0"/>
</box>
					<textElement textAlignment="Left">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="42"
						height="13"
						forecolor="#FFFFFF"
						key="textField-27"/>
					<box>					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="1.0" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
</box>
					<textElement>
						<font/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[]]></textFieldExpression>
				</textField>
			</band>
			</groupFooter>
		</group>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="101"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="483"
						height="13"
						key="textField"/>
					<box leftPadding="2" rightPadding="2" topPadding="1"></box>
					<textElement>
						<font size="9" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{nama_koperasi}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="13"
						width="483"
						height="13"
						key="textField"/>
					<box leftPadding="2" rightPadding="2" topPadding="1"></box>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{alamat}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="26"
						width="483"
						height="13"
						key="textField"/>
					<box leftPadding="2" rightPadding="2" topPadding="1"></box>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$P{telp}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="42"
						y="75"
						width="291"
						height="26"
						key="staticText-16"/>
					<box leftPadding="2" rightPadding="2" topPadding="1">					<topPen lineWidth="1.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[Uraian]]></text>
				</staticText>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="39"
						width="483"
						height="23"
						key="textField-1"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="2" topPadding="1">					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0" lineColor="#999999"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="12" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Laporan Rugi Laba"]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement
						x="0"
						y="62"
						width="483"
						height="13"
						key="staticText-18"/>
					<box leftPadding="2" rightPadding="2" topPadding="1">					<topPen lineWidth="0.0" lineStyle="Solid"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid"/>
</box>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
				<staticText>
					<reportElement
						x="0"
						y="75"
						width="42"
						height="26"
						key="staticText-25"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="1.0" lineStyle="Solid"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[No. Acc]]></text>
				</staticText>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="408"
						y="75"
						width="75"
						height="26"
						key="textField-25"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="1.0" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineColor="#000000"/>
</box>
					<textElement textAlignment="Center">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["TAHUN "+String.valueOf(Integer.parseInt($P{tahun})-1)+"\n(Rp)"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="333"
						y="75"
						width="75"
						height="26"
						key="textField-26"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="1.0" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineColor="#000000"/>
</box>
					<textElement textAlignment="Center">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["TAHUN "+$P{tahun}+"\n(Rp)"]]></textFieldExpression>
				</textField>
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="11"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="42"
						height="11"
						key="textField"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="0.0" lineColor="#999999"/>
</box>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{acc_no}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="42"
						y="0"
						width="291"
						height="11"
						key="textField-7"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.0" lineColor="#999999"/>
</box>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["~ "+$F{acc_name}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="#,##0;(#,##0)" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="333"
						y="0"
						width="75"
						height="11"
						key="textField-15"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="3" topPadding="1">					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.0" lineColor="#999999"/>
					<rightPen lineWidth="0.0"/>
</box>
					<textElement textAlignment="Right">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{balance}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="#,##0;(#,##0)" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="408"
						y="0"
						width="75"
						height="11"
						key="textField-16"
						stretchType="RelativeToBandHeight"
						isPrintWhenDetailOverflows="true"/>
					<box leftPadding="2" rightPadding="3" topPadding="1">					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.0" lineColor="#999999"/>
					<rightPen lineWidth="1.0"/>
</box>
					<textElement textAlignment="Right">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{lbalance}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="13"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="0"
						y="0"
						width="42"
						height="13"
						key="textField"/>
					<box></box>
					<textElement textAlignment="Right">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Page " + $V{PAGE_NUMBER} + " of "]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" isBlankWhenNull="false" evaluationTime="Report" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="42"
						y="0"
						width="199"
						height="13"
						key="textField"/>
					<box></box>
					<textElement>
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["" + $V{PAGE_NUMBER} + ""]]></textFieldExpression>
				</textField>
			</band>
		</pageFooter>
		<summary>
			<band height="15"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						x="0"
						y="0"
						width="333"
						height="15"
						key="staticText-17"/>
					<box leftPadding="2" rightPadding="1" topPadding="1">					<topPen lineWidth="3.0" lineStyle="Double"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid"/>
</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<text><![CDATA[]]></text>
				</staticText>
				<textField isStretchWithOverflow="false" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Report" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="333"
						y="0"
						width="75"
						height="15"
						key="textField-21"/>
					<box leftPadding="1" rightPadding="2">					<topPen lineWidth="3.0" lineStyle="Double"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$V{tot_balance}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="408"
						y="0"
						width="75"
						height="15"
						key="textField-22"/>
					<box leftPadding="1" rightPadding="2">					<topPen lineWidth="3.0" lineStyle="Double"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$V{tot_lbalance}]]></textFieldExpression>
				</textField>
			</band>
		</summary>
</jasperReport>
